#
# spec file for package duply
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011-2015 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           duply
Version:        1.10.1
Release:        2.1
Summary:        A frontend for the mighty duplicity magic
License:        GPL-2.0
Group:          Productivity/Archiving/Compression
Url:            http://duply.net/
Source0:        http://downloads.sourceforge.net/ftplicity/duply%20%28simple%20duplicity%29/1.10.x/%{name}_%{version}.tgz
# MANUAL BEGIN
Requires:       duplicity
# MANUAL END
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A shell front end to duplicity that simplifies the usage by managing
settings for backup jobs in profiles. It supports executing multiple
commands in a batch mode to enable single line cron entries and executes
pre/post backup scripts.

%prep
%setup -q -n %{name}_%{version}

%build

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%defattr(-,root,root,-)
%doc gpl-2.0.txt
%{_bindir}/%{name}

%changelog
* Wed Sep 23 2015 malcolmlewis@opensuse.org
- Update to version 1.10.1:
  + Bugfix 86: Duply+Swift outputs warning.
  + Bugfix 87: Swift fails without BACKEND_URL.
- Changes from 1.10:
  + Featreq 36: busybox issues - fix awk, grep version detection,
    fix grep failure because --color=never switch is unsupported.
  + Bugfix 81: --exclude-globbing-filelist is deprecated since
    0.7.03.
  + Implemented base-/dirname as bash functions.
  + Featreq 31 " Support for duplicity Azure backend " - ignored a
    contributed patch by Scott McKenzie and instead opted for
    removing almost all code that deals with special env vars
    required by backends. Adding and modifying these results in too
    much overhead so I dropped this feature. The future alternative
    for users is to consult the duplicity manpage and add the
    needed export definitions to the conf file. Appended a
    commented example to the template conf below the auth section.
- Changes from 1.9.2:
  + Bugfix: exporting keys with gpg2.1 works now.
  + Documented GPG_OPTS needed for gpg2.1 to conf template.
  + Bugfix 82: GREP_OPTIONS=--color=always disrupted time
    calculation.
  + Added GPG conf var (see conf template for details).
  + Added grep version output as it is an integral needed binary.
  + Added PYTHONPATH printout in version output.
- Changes from 1.9.1:
  + Export CMD_ERR now for scripts to detect if CMD_PREV
    failed/succeeded.
  + Bugfix: CMD_PREV contained command even if it was skipped.
- Changes from 1.9.0:
  + Bugfix: env vars were not exported when external script was
    executable.
  + Rework GPG_KEY handling, allow virtually anything now (uid,
    keyid etc.) see gpg manpage, section "How to specify a user ID"
    let gpg complain when the delivered values are invalid for
    whatever reason.
  + Started to rework tmp space checking, exposed folder & writable
    check. TODO: reimplement enough file space available checking.
- Changes from 1.8.0:
  + Add command verifyPath to expose 'verify --file-to-restore'
    action.
  + Add time parameter support to verify command.
  + Add section time formats to usage output.
* Wed Jul  9 2014 kruber@zib.de
- Update to version 1.7.4:
  + remove ubuntu one support, service is discontinued
  + featreq 31: add authenticated swift (contributed by Justus Seifert)
- Update to version 1.7.3:
  + bugfix: test routines, gpg2 asked for passphrase although GPG_PW was set
- Update to version 1.7.2:
  + bugfix: debian Bug#743190 "duply no longer allows restoration without
    gpg passphrase in conf file"
    GPG_AGENT_INFO env var is now needed to trigger --use-agent
  + bugfix: gpg keyenc test routines didn't work if GPG_PW was not set
- Update to version 1.7.1:
  + bugfix: purge-* commands renamed to purgeFull, purgeIncr due to
    incompatibility with new minus batch separator
- Update to version 1.7.0:
  + disabled gpg key id plausibility check, too many valid possibilities
  + featreq 7 "Halt if precondition fails":
    added and(+), or(-) batch command(separator) support
  + featreq 26 "pre/post script with shebang line":
    if a script is flagged executable it's executed in a subshell
    now as opposed to sourced to bash, which is the default
  + bugfix: do not check if dpbx, swift credentials are set anymore
  + bugfix: properly escape profile name, archdir if used as arguments
  + add DUPL_PRECMD conf setting for use with e.g. trickle
* Sat Feb  1 2014 wr@rosenauer.org
- Update to version 1.6.0:
  + support gs backend
  + support dropbox backend
  + add gpg-agent support to gpg test routines
  + autoenable --use-agent if passwords were not defined in config
  + GPG_OPTS are now honored everywhere, keyrings or complete gpg
    homedir can thus be configured to be located anywhere
  + always import both secret and public key if avail from config profile
  + new explanatory comments in initial exclude file
  + bugfix 7: Duply only imports one key at a time
- Update to version 1.5.11:
  + purge-incr command for remove-all-inc-of-but-n-full feature added
    patch provided by Moritz Augsburger, thanks!
  + documented version command in man page
* Tue Jun  4 2013 malcolmlewis@opensuse.org
- Updated to version 1.5.10:
  + Bugfix: exclude filter failed on ubuntu, mawk w/o posix char
    class support.
  + Bugfix: fix url_decoding generally and for python3.
  + Bugfix 3609075: wrong script results in status line
  (thx David Epping).
* Sat Dec  1 2012 malcolmlewis@opensuse.org
- Updated to 1.5.9:
  + Bugfix 3588926: filter --exclude* params for restore/fetch ate
    too much.
  + Restore/fetch now also ignores --include* or --exclude='foobar'
- Updates from 1.5.8:
  + Bugfix 3575487: implement proper cloud files support.
* Sat Oct  6 2012 malcolmlewis@opensuse.org
- Update to version 1.5.7:
  + Bugfix 3531450: Cannot use space in target URL (file:///)
    anymore.
- Updates from 1.5.6:
  + Commands purge, purge-full have no default value anymore for
    security reasons; instead max value can be given via cmd line
    or must be set in profile; else an error is shown.
  + Minor man page modifications
- Updates from 1.5.5.5:
  + Bugfix 3479605: SEL context confused profile folder's
    permission check.
  + Colon ':' in url passphrase got ignored, added python driven
    url_decoding for user & pass to better process special chars.
* Mon Nov 21 2011 malcolmlewis@opensuse.org
- Update to version 1.5.5.4:
  + Bugfix 3421268: SFTP passwords from conf ignored and always
    prompted for.
  + Add support for separate sign passphrase (needs duplicity
    0.6.14+).
* Fri Oct  7 2011 malcolmlewis@opensuse.org
- Update version to 1.5.5.3:
  + Bugfix 3416690: repaired preview threw echo1 error.
  + Fix unknown cmds error usage & friends if more than 2 params
    were given.
- Updates from 1.5.5.2:
  + Bugfix 3409643: ssh key auth did ask for passphrase
    (--ssh-askpass ?).
  + Bugfix: mawk does not support \W and did not split multikey
    definitions.
  + All parameters should survive  single (') and double (")
    quotes now.
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Wed Aug 17 2011 malcolmlewis@opensuse.org
- Initial build.
